summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-gsettings-1
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-03-10 18:13:28 +0900
committerDaiki Ueno <ueno@gnu.org>2014-03-10 18:24:15 +0900
commitd66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch)
treec4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/xgettext-gsettings-1
parent0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff)
downloadexternal_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.zip
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.bz2
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since 'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/xgettext-gsettings-1')
-rw-r--r--gettext-tools/tests/xgettext-gsettings-115
1 files changed, 2 insertions, 13 deletions
diff --git a/gettext-tools/tests/xgettext-gsettings-1 b/gettext-tools/tests/xgettext-gsettings-1
index 1e0d3b7..fbc9b6e 100644
--- a/gettext-tools/tests/xgettext-gsettings-1
+++ b/gettext-tools/tests/xgettext-gsettings-1
@@ -3,24 +3,18 @@
# Test of GSettings support.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles xg-gs-1-empty.gschema.xml"
cat <<EOF > xg-gs-1-empty.gschema.xml
<?xml version="1.0"?>
<schemalist/>
EOF
-tmpfiles="$tmpfiles xg-gs-1.pot"
: ${XGETTEXT=xgettext}
${XGETTEXT} -o xg-gs-1.pot xg-gs-1-empty.gschema.xml 2>/dev/null
test $? = 0 || {
echo "Skipping test: xgettext was built without GSettings support"
- rm -fr $tmpfiles; exit 77
+ exit 77
}
-tmpfiles="$tmpfiles xg-gs-1.gschema.xml"
cat <<EOF > xg-gs-1.gschema.xml
<?xml version="1.0"?>
<schemalist>
@@ -45,12 +39,9 @@ cat <<EOF > xg-gs-1.gschema.xml
</schemalist>
EOF
-tmpfiles="$tmpfiles xg-gs-1.pot"
: ${XGETTEXT=xgettext}
-${XGETTEXT} --add-comments -o - xg-gs-1.gschema.xml | grep -v 'POT-Creation-Date' > xg-gs-1.pot
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${XGETTEXT} --add-comments -o - xg-gs-1.gschema.xml | grep -v 'POT-Creation-Date' > xg-gs-1.pot || exit 1
-tmpfiles="$tmpfiles xg-gs-1.ok"
cat <<EOF > xg-gs-1.ok
# SOME DESCRIPTIVE TITLE.
# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
@@ -88,6 +79,4 @@ EOF
${DIFF} xg-gs-1.ok xg-gs-1.pot
result=$?
-rm -fr $tmpfiles
-
exit $result